# Uses of Interface
io.github.jdbcx.ConnectionListener

Packages that use ConnectionListener
Package
Description
io.github.jdbcx
io.github.jdbcx.impl
io.github.jdbcx.prql
io.github.jdbcx.script

## Uses of ConnectionListener in io.github.jdbcx

Fields in io.github.jdbcx declared as ConnectionListener
Modifier and Type
Field
Description
`protected final ConnectionListener`
WrappedConnection.`listener`
Methods in io.github.jdbcx that return ConnectionListener
Modifier and Type
Method
Description
`default ConnectionListener`
DriverExtension.`createListener(Connection conn, String url, Properties props)`
Creates a connection listener.

## Uses of ConnectionListener in io.github.jdbcx.impl

Classes in io.github.jdbcx.impl that implement ConnectionListener
Modifier and Type
Class
Description
`class`
`DefaultConnectionListener`

## Uses of ConnectionListener in io.github.jdbcx.prql

Methods in io.github.jdbcx.prql that return ConnectionListener
Modifier and Type
Method
Description
`ConnectionListener`
PrqlDriverExtension.`createListener(Connection conn, String url, Properties props)`

## Uses of ConnectionListener in io.github.jdbcx.script

Methods in io.github.jdbcx.script that return ConnectionListener
Modifier and Type
Method
Description
`ConnectionListener`
ScriptDriverExtension.`createListener(Connection conn, String url, Properties props)`